#############################################
# zeilen_blinken.py
#
# Die Zeilen einer 4x4-LED-Matrix blinken
# nacheinander auf.
#
# Michael Weigend
# Raspberry Pi für Kids
# mitp 2015
# Kap. 11, Projekt 28
# 1. 11. 2014
#############################################
from time import sleep
from RPi import GPIO

GPIO.setmode(GPIO.BOARD)
#Zeilen
GPIO.setup(8, GPIO.OUT)
GPIO.setup(10, GPIO.OUT)
GPIO.setup(11, GPIO.OUT)
GPIO.setup(12, GPIO.OUT)
#Spalten
GPIO.setup(19, GPIO.OUT)
GPIO.setup(16, GPIO.OUT)
GPIO.setup(15, GPIO.OUT)
GPIO.setup(13, GPIO.OUT)


# Alle Zeilen und Spalten positiv
GPIO.output(8, True)
GPIO.output(10, True)
GPIO.output(11, True)
GPIO.output(12, True)
GPIO.output(19, True)
GPIO.output(16, True)
GPIO.output(15, True)
GPIO.output(13, True)

while True:
    GPIO.output(8, False)
    sleep(0.2)
    GPIO.output(8, True)
    GPIO.output(10, False)
    sleep(0.2)
    GPIO.output(10, True)
    GPIO.output(11, False)
    sleep(0.2)
    GPIO.output(11, True)
    GPIO.output(12, False)
    sleep(0.2)
    GPIO.output(12, True)
