#------------------------------------------------
# fenster.py
# Berechnung der Fensterfläche eines Hauses.
#
# Michael Weigend
# Raspberry Pi fuer Kids
# mitp 2015
# Kapitel 14, Projekt 37
# 6.8.2014
#------------------------------------------------
def berechne_fenster(höhe=1000, breite=1000):            #1
    ''' Berechnet die Fläche eines Fensters

    Parameter sind die Höhe und Breite
    des Fensters in mm. Zurückgegeben wird
    die Fläche in Quadratmeter'''
    fläche = breite * höhe / 1000000           
    return fläche

antwort = 'j'
summe = 0
while antwort == 'j':
    h = int(input('Höhe in mm: '))
    b = int(input('Breite in mm: '))
    summe = summe + berechne_fenster(h, b)     #2
    antwort = input('Noch ein Fenster?(j/n): ') #3
print('Die gesamte Fensterfläche beträgt:',
      summe, 'Quadratmeter.')


