#---------------------------------------------
# action.py
# Sobald sich jemand dem Computer nähert
# wird eine Ereignisfolge gestartet, die in der
# Datei ereignisse.txt beschrieben ist.
#
# Michael Weigend
# Raspberry Pi für Kids
# mitp 2015
# Kapitel 15, Aufgabe 2
# 1.11.2014
#---------------------------------------------
from us_python import berechne_abstand
import time, os
DATEI = 'ereignisse.txt'
KOMMANDO = 'pilight-send -p elro_he -s 1 -u %s %s'
AUSGABE = 'Nach %s Sekunden Unit %s Kommando %s.'

def steuern():
    f = open(DATEI, 'r')
    zeile = f.readline()
    while zeile:
       nr, sekunden, schalten = zeile.split()
       print(AUSGABE % (sekunden, nr, befehl))
       time.sleep(int(sekunden))
       os.system(KOMMANDO %(nr, befehl))
       zeile = f.readline()
    
# Hauptprogramm
print ('Ich beobachte den Kontrollbereich.')
while True:
    if berechne_abstand() < 150: 
       print('Jemand ist eingedrungen. ',
             time.asctime())
       steuern()
       print('Fertig.')
    else:
        time.sleep(1)
