#! /usr/bin/python3.2
#---------------------------------------------
# flaggen.py
# Ein Text wird durch Flaggen dargestellt.
#
# Michael Weigend
# Raspberry Pi für Kids
# mitp 2015
# Kapitel 16, Projekt 45
# 1.11.2014
#---------------------------------------------
from tkinter import *
         
def gibSignal():
    wort = eingabe.get()
    for i in range(8):
        if i < len(wort):
            b = wort[i].upper()
            label[i].config(image=flagge[b])
        else:
            label[i].config(image=leer) 

#Widgets
fenster = Tk()
leer = PhotoImage(file='leer.gif')
label = []

for i in range(8):
    neu = Label(master=fenster, bg='black',
                   width=60, height=40,
                   image=leer)
    label.append(neu)    
eingabe = Entry(master=fenster,
                width=8, font=('Arial', 16))
button = Button(master=fenster,text='Signal',
                font=('Arial', 16),
                command=gibSignal)

#Layout
for i in range(8):
    label[i].grid(column=i, row=0)
eingabe.grid(row=1, column=0, columnspan=2)
button.grid(row=1, column=2, columnspan=2)


flagge = {}
for buchstabe in 'ABCDEFGHIJKLMNOPQRSTUVWXYZ':
    bild = PhotoImage(file=buchstabe+'.gif')
    flagge[buchstabe] = bild
fenster.mainloop()
