#! /usr/bin/python3.2
#---------------------------------------------
# stoppuhr.pyw
#
# Michael Weigend
# Raspberry Pi für Kids
# mitp 2015
# Kapitel 16, Aufgabe
# 1.11.2014
#---------------------------------------------
from tkinter import *
import time, _thread

def run():
    while go:
      zeit = round(time.time()-startzeit, 3)
      label.config(text=str(zeit)+' Sekunden')
      time.sleep(0.001)
        
def start():
    global startzeit, go
    startzeit = time.time()
    go = True
    _thread.start_new_thread(run, ())

def stop():
    global go
    go = False
    

# Widgets
fenster = Tk()

label = Label(master=fenster,
              font=('Arial',20),
              fg='white', bg='blue',
              text='0.000 Sekunden',
              width=20, height=3)
            
start_button = Button(master=fenster,
                      text='Start',
                      command=start)
stop_button = Button(master=fenster,
                      text='Stop',
                      command=stop)

# Layout
label.pack()
start_button.pack(side=LEFT, anchor=W)
stop_button.pack(side=LEFT, anchor=W)
fenster.mainloop()
