#! /usr/bin/python2.7
#------------------------------------------------
# spuren.py
# Das Programm erfasst Bewegungsspuren. Dort, wo sich
# etwas bewegt hat, wird ein roter Punkt gesetzt.
# Python 2.7
# Michael Weigend
# Raspberry Pi fuer Kids
# mitp 2015
# Kapitel 17, Aufgabe 2
# 30.8.2014
#------------------------------------------------

import os, time 
from PIL import Image, ImageTk
from Tkinter import Canvas, Tk, Button, NW
                            
KOMMANDO = 'raspistill -t 300 -w 400 -h 300 -n -o bild.jpg'
SCHWELLE = 30                                         

def run():
    global altes_bild, bild
    altes_bild = bild
    os.system(KOMMANDO)
    bild = Image.open('bild.jpg')
    b1 = altes_bild.load()
    b2 = bild.load()                 
    breite, hoehe = bild.size
    for x in range(breite):
      for y in range(hoehe):
        pixel1 = b1[x, y]
        pixel2 = b2[x, y]
        d = abs(pixel1[1] - pixel2[1])   
        if d > SCHWELLE:
            p = canvas.create_line(x, y,x, y+1,                                  fill='red')
    fenster.after(2000, run)     

# Hauptprogramm
fenster = Tk()
canvas = Canvas(master=fenster,
                width=400, height=300)
canvas.pack()
os.system(KOMMANDO)
bild = Image.open('bild.jpg')
bild_tk = ImageTk.PhotoImage(bild)
canvas.create_image(0, 0, anchor=NW,
          image=bild_tk)
run()
fenster.mainloop()






    


    
