#! /usr/bin/python3.2
#---------------------------------------------
# zeitlupe.pyw
#
# Michael Weigend
# Raspberry Pi für Kids
# mitp 2015
# Kapitel 17, Projekt 51
# 1.11.2014
#---------------------------------------------
from tkinter import *
import os, time

FILMEN = "raspivid -fps 90 -o film.h264 " \
            + "-h 400 -w 400 -t 5000 -br 40 " \
         + " -p '600, 200, 200, 200'"                #1
ABSPIELEN = 'omxplayer --win "600 200 1000 600"' \
              + ' --fps %i film.h264'                #2

# Funktionen
def filmen():
    os.system(FILMEN)
    
def abspielen():
    bildrate = 90 // verzögerung.get()               #3
    os.system(ABSPIELEN % bildrate)                  #4

# Widgets
fenster = Tk()
Label(master=fenster,
      text='Dauer: 5 Sekunden').pack()

Button(master=fenster,
        command=filmen,
        text='Video aufnehmen').pack()
verzögerung = IntVar()


rb_9 = Radiobutton(master=fenster,
                   text='9-fache Verzögerung',
                   value=9,
                   variable=verzögerung)
rb_9.pack()
rb_9.select()
Radiobutton(master=fenster,
            text='18-fache Verzögerung',
            value=18,
            variable=verzögerung).pack()
Button(master=fenster,
       command=abspielen,
       text='Video abspielen').pack()
                  
fenster.mainloop()
