#!/usr/bin/python3_root
#----------------------------------------------------------------
# Dateiname:  led.py 
# Steuerung einer Leuchtdiode
# Michael Weigend: Raspberry Pi für Kids
# mitp 2015
# Kapitel 18, Projekt 56
# 2.10.2014
#----------------------------------------------------------------
import cgi, cgitb
from RPi import GPIO
from time import sleep


HTML='''Content-type: text/html; charset=utf-8

<html >
<body>
 <h1> Steuerung der Leuchtdiode</h1>
 <form action="/cgi-bin/led.cgi"
       method="GET">
   <input type="radio" name="modus" value="blinken" %s>
   Blinken <br/>
   <input type="radio" name="modus" value="dauer" %s>
   Dauerleuchten <br/>
   <input type="radio" name="modus" value="aus" %s>
   Aus <br/>
   <input type="submit" value="Schalten"/>
 </form>
</body>
</html>'''

def blinken():
   for i in range(10):
      GPIO.output(10, False)
      sleep(0.2)
      GPIO.output(10, True)
      sleep(0.2)

cgitb.enable()
GPIO.setmode(GPIO.BOARD)
GPIO.setup(10, GPIO.OUT)

form = cgi.FieldStorage()

modus = form.getvalue('modus','aus')
if modus =='blinken':
   blinken()
   auswahl = ('checked', '', '')

elif modus =='dauer':
   GPIO.output(10, False)
   auswahl = ('', 'checked', '')
else:
   GPIO.output(10, True)  
   auswahl = ('', '', 'checked')

print(HTML % auswahl)
