#!/usr/bin/python3_root
#----------------------------------------------------------------
# Dateiname:  login.cgi 
# Einfaches CGI-Skript, das Eingabedaten verarbeitet.
# Wenn Login-Name stimmt, wird Webseite mit Kamerabild 
#
# Michael Weigend: Raspberry Pi für Kids, mitp 2014
# Kapitel 18, Projekt 55
# 3.10.2014
#----------------------------------------------------------------

import cgi, cgitb, os
cgitb.enable()

KOMMANDO = 'raspistill -t 50 -w 400 -h 300' + \
           '-o /var/www/bild.jpg -n'
FREUNDE = ['Tina', 'Kim', 'Dennis']
UNBEKANNT = '''Content-type: text/html

<html>
  <head>
    <title> Person Unbekannt </title>
  </head>     
  <body>
    <h1> Kein Zugang</h1>
    <p>Sorry, dein Name ist mir unbekannt. </p>
    <a href="/login.html"> Neuer Versuch </a>
   </body>
</html>'''


WEBCAM = '''Content-type: text/html; char-set=utf-8

<html>
 <head>
  <title>Webcam</title>
 </head>
 <body>
  <h1> Geheim</h1>
  <p>
   <img src="/bild.jpg" alt="Blick in den Garten" />
  </p>
  <a href="/login.html"> Neues Bild </a>

 </body>
</html>'''

form = cgi.FieldStorage()                               #2                     #3
person = form.getvalue('name')

if person in FREUNDE:
    os.system(KOMMANDO)
    print(WEBCAM)
else:
    print(UNBEKANNT)




