#############################################
# leds_einzeln.py
#
# Einzelne LEDs einer 4x4-LED-Matrix können
# ausgewählt und zum Leuchten gebracht werden.
#
# Michael Weigend
# Raspberry Pi für Kids
# mitp 2015
# Kap. 11, Projekt 29
# 1. 11. 2014
#############################################
from time import sleep
from RPi import GPIO
GPIO.setmode(GPIO.BOARD)

#Zeilen
GPIO.setup(11, GPIO.OUT)
GPIO.setup(12, GPIO.OUT)
GPIO.setup(13, GPIO.OUT)
GPIO.setup(15, GPIO.OUT)
GPIO.setup(16, GPIO.OUT)
GPIO.setup(18, GPIO.OUT)
GPIO.setup(19, GPIO.OUT)

#Spalten                   
GPIO.setup(3, GPIO.OUT)    #1
GPIO.setup(5, GPIO.OUT)
GPIO.setup(7, GPIO.OUT)
GPIO.setup(8, GPIO.OUT)
GPIO.setup(10, GPIO.OUT)

# LEDs ausschalten
GPIO.output(11, True)      #2
GPIO.output(12, True)
GPIO.output(13, True)
GPIO.output(15, True)
GPIO.output(16, True)
GPIO.output(18, True)
GPIO.output(19, True)

GPIO.output(3, False)      
GPIO.output(5, False)
GPIO.output(7, False)
GPIO.output(8, False)
GPIO.output(10, False)

eingabe = 'j'
while eingabe == 'j':
    print('''
   3  5  7  8  10
11-+--+--+--+--+
12-+--+--+--+--+
15-+--+--+--+--+
16-+--+--+--+--+
18-+--+--+--+--+
19-+--+--+--+--+''')
    zeile = int(input('Zeile: '))
    spalte = int(input('Spalte : '))
    GPIO.output(zeile, False)
    GPIO.output(spalte, True)
    sleep(1)
    GPIO.output(zeile, True)
    GPIO.output(spalte, False)
    eingabe = input('Noch einmal? (j/n): ')
print('Auf Wiedersehen...')
          
    
    
    






c 
