#---------------------------------------------
# lcd_uhrzeit.py
# Schreibt die Uhrzeit auf ein 2x16-LCD-Display
# Hinweise: Mit Root-Rechten starten.
#           Das Programm laeuft unter Python 2.
#
# Michael Weigend
# Raspberry Pi fuer Kids
# Kapitel 13, Projekt 35
# 7.8.2014
#----------------------------------------------

import time
from RPi import GPIO
from RPLCD import CharLCD

lcd=CharLCD(cols=16, rows=2)

while True:
    zeit = time.asctime()
    lcd.cursor_pos =(0, 0)
    zeile_1 = zeit[:10] + ' ' + zeit[-4:]
    zeile_2 = zeit[11:19]
    lcd.write_string(zeile_1)
    lcd.cursor_pos = (1, 0)
    lcd.write_string(zeile_2)
    time.sleep(0.1)

