#---------------------------------------------
# temp_log_csv.py
# Das Programm misst jede Seklunde die Temperatur 
# und schreibt sie in eine csv-Datei.
#
# Michael Weigend
# Raspberry Pi für Kids
# mitp 2015
# Kapitel 15, Projekt 41
# 1.11.2014
#---------------------------------------------
import os, time
os.system('modprobe wire')                     #1
os.system('modprobe w1-gpio')
os.system("modprobe w1-therm")

dateiname = "/sys/bus/w1/devices/xxx/w1_slave" #2

def readTemp():
    ok = False                                 #3
    while not ok:
        f = open(dateiname, 'r')               #4
        zeile_1, zeile_2 = f.readlines()       #5
        f.close()                           
        if zeile_1.find("YES") != -1:          #6
            ok = True
    teil_1, teil_2 = zeile_2.split("=")        #7
    return int(teil_2)/1000                    #8
# Hauptprogramm
i = 0
f = open('daten.csv', 'w')
print('Sekunden; Temperatur in °C', file=f, flush=True)
while True:
    temp = round(readTemp()/1000)
    print(i,';',temp, file=f, flush=True)
    i += 1
    time.sleep(1)
                            

           
        
   
