#! /usr/bin/python3.2
#---------------------------------------------
# farbwechsel.pyw
# Über Radiobuttons wird eine passende
# Farbe ausgewählt.
#
# Michael Weigend
# Raspberry Pi für Kids
# mitp 2015
# Kapitel 16, Projekt 47
# 1.11.2014
#---------------------------------------------
from tkinter import *

def farbwechsel():
    label.config(bg=farbe.get())
       
# Widgets
fenster = Tk()
farbe = StringVar()
label = Label(master=fenster,
              width=30, height=10)
rb1 = Radiobutton (master=fenster,
                    variable=farbe,
                    value='#CCF',
                    command=farbwechsel,
                    text='Frühstück')
rb2 = Radiobutton (master=fenster,
                    variable=farbe,
                    value='#CFF',
                    command=farbwechsel,
                    text='Hausaufgaben')
rb3 = Radiobutton (master=fenster,
                    variable=farbe,
                    value='#E22',
                    command=farbwechsel,
                    text='Musik hören')
rb1.select()
farbwechsel()

# Layout
label.pack()
rb1.pack(anchor=W)
rb2.pack(anchor=W)
rb3.pack(anchor=W)
fenster.mainloop()
